fedora core 3 error is it major ?

Discussion in 'Server Operation' started by ProServ-uk.com, Aug 15, 2007.

  1. ProServ-uk.com

    ProServ-uk.com New Member

    hi today i have been installing fedora core 3 on my poweredge 2600 and i have come accross this part of the install -

    Install apt For Fedora

    apt is the packaging system used on Debian. Since it cares much better for package dependencies than rpm it would be nice if we could use it on our new Fedora system. This would save us a lot of hassle. Fortunately, apt has been ported to a lot of rpm based distributions, and is also available for Fedora Core 3 (you will love it... :)).

    rpm -ivh http://ftp.freshrpms.net/pub/freshrp...c3.fr.i386.rpm

    Edit /etc/apt/sources.list. It should contain the following lines:

    But Unfortunately im getting this error -

    [[email protected] ~]# rpm -ivh http://ftp.freshrpms.net/pub/freshrp...c3.fr.i386.rpm
    Retrieving http://ftp.freshrpms.net/pub/freshrp...c3.fr.i386.rpm
    warning: /var/tmp/rpm-xfer.cREAMe: Header V3 DSA signature: NOKEY, key ID e42d547b
    error: Failed dependencies:
    libreadline.so.4 is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386
    librpm-4.3.so is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386
    librpmdb-4.3.so is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386
    librpmio-4.3.so is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386

    Is this a major problem has anyone had this problem and solved it if so please let me know

    Regards rickie
  2. ProServ-uk.com

    ProServ-uk.com New Member

    problem fixed i just simply ran - yum install apt
  3. falko

    falko Super Moderator ISPConfig Developer

    Why are you using FC 3? It's very old...
  4. ProServ-uk.com

    ProServ-uk.com New Member

    i run fedora core 5 and fedora 7 on my servers i had a server come free and decided to try out VHCS for some reason so i had to install fc3,

Share This Page